Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024647
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POStrivialalways2013-09-02 10:272013-09-10 09:59
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritylowResolutionfixedFixed in VersionRMP26.1
StatusclosedFix in branchFixed in SCM revisionc43b734f7969
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024647: RMP26.1: Error in Tax base amount calculation and tax amount calculation(price inclusive of taxes is used)

DescriptionError in Tax base amount calculation and tax amount calculation(price inclusive of taxes is used and Buy X pay Y of same product discount type)
Steps To ReproduceNote:
Discount type: Buy X pay Y of same product
Price list: Inclusive of Taxes

1) From WebPOS, create a receipt using below details
product: Sun Cream + Lip stick Qty: 3

2) Check the Taxable amount

Defect:

Expected taxable amount is 20.66
But Actual Taxable amount is 21.00

because of this wrong tax amount appears expected is 4.34 but actual taxable amount appear in Webpos 4.41

TagsNo tags attached.
Attached Filespng file icon Error in Tax base amount calculation and tax amount calculation(price inclusive of taxes is used).png [^] (221,599 bytes) 2013-09-02 10:27

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060866)
hgbot (developer)
2013-09-02 16:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d4f458f9489b111424224d0d7a7bfbbfbd8348ea
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060937)
hgbot (developer)
2013-09-05 14:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c43b734f79698b84d9da72178a37b1f1d134fd0d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060947)
priyam (administrator)
2013-09-05 14:21

closing as status changed by RMP26.1 merge process
(0061006)
hgbot (developer)
2013-09-10 09:55

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: d4f458f9489b111424224d0d7a7bfbbfbd8348ea
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061027)
hgbot (developer)
2013-09-10 09:58

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: c43b734f79698b84d9da72178a37b1f1d134fd0d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061036)
guilleaer (developer)
2013-09-10 09:59

reclosed

- Issue History
Date Modified Username Field Change
2013-09-02 10:27 sureshbabu New Issue
2013-09-02 10:27 sureshbabu Assigned To => marvintm
2013-09-02 10:27 sureshbabu File Added: Error in Tax base amount calculation and tax amount calculation(price inclusive of taxes is used).png
2013-09-02 10:27 sureshbabu Triggers an Emergency Pack => No
2013-09-02 16:23 hgbot Checkin
2013-09-02 16:23 hgbot Note Added: 0060866
2013-09-02 16:23 hgbot Status new => resolved
2013-09-02 16:23 hgbot Resolution open => fixed
2013-09-02 16:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]
2013-09-03 17:01 marvintm Review Assigned To => marvintm
2013-09-03 17:01 marvintm Status resolved => closed
2013-09-03 17:01 marvintm Fixed in Version => RMP26.1
2013-09-05 14:19 hgbot Checkin
2013-09-05 14:19 hgbot Note Added: 0060937
2013-09-05 14:19 hgbot Status closed => resolved
2013-09-05 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]
2013-09-05 14:21 priyam Note Added: 0060947
2013-09-05 14:21 priyam Status resolved => closed
2013-09-10 09:55 hgbot Checkin
2013-09-10 09:55 hgbot Note Added: 0061006
2013-09-10 09:55 hgbot Status closed => resolved
2013-09-10 09:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]
2013-09-10 09:58 hgbot Checkin
2013-09-10 09:58 hgbot Note Added: 0061027
2013-09-10 09:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]
2013-09-10 09:59 guilleaer Status resolved => closed
2013-09-10 09:59 guilleaer Note Added: 0061036


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker